// $Id$
/**
 * Copyright (C) 2015 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.editor;

import org.eclipse.osgi.util.NLS;

/**
 * @author pplitzner
 * @date 09.09.2015
 *
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "OSGI-INF/l10n/messages"; //$NON-NLS-1$
    public static String CreateDerivateContextMenu_ADD;
    public static String CreateDerivateContextMenu_DNA_SAMPLE;
    public static String CreateDerivateContextMenu_MEDIA;
    public static String CreateDerivateContextMenu_MEDIA_EXISTING;
    public static String CreateDerivateContextMenu_MEDIA_SPECIMEN;
    public static String CreateDerivateContextMenu_NO_CHILD_DERIVATE;
    public static String CreateDerivateContextMenu_SEQUENCE;
    public static String CreateDerivateContextMenu_SINGLE_READ;
    public static String CreateDerivateContextMenu_SPECIMEN;
    public static String CreateDerivateContextMenu_TISSUE_SAMPLE;
    public static String DeleteDerivateOperation_AND_CHILDREN;
    public static String DeleteDerivateOperation_CONFIRM;
    public static String DeleteDerivateOperation_DELETE_FAILED;
    public static String DeleteDerivateOperation_REALLY_DELETE;
    public static String DeleteTaxonBaseHandler_CONFIRM_DELETION;
    public static String DeleteTaxonBaseHandler_ELEMENT_MUST_BE_SYNONYM_MISAPP_CONCEPT;
    public static String DeleteTaxonBaseHandler_REALLY_DELETE_TAXON;
    public static String DerivateDropListener_MOVE_TO;
    public static String DerivateView_DERIVATIVE_EDITOR;
    public static String DerivateView_SAVING_HIERARCHY;
    public static String DerivateView_UNSAVED_CHANGES;
    public static String DerivateView_YOU_NEED_TO_SAVE;
    public static String DerivateViewEditorInput_FAIL_INIT;
    public static String DerivateViewEditorInput_NO_ROOT;
    public static String MoveDerivateOperation_MOVE_NOT_POSSIBLE;
    public static String MoveDerivateOperation_MOVE_TO_NOT_POSSIBLE;
    public static String OpenDerivateEditorForTaxonHandler_COULD_NOT_OPEN_EDITOR;
    public static String OpenDerivateEditorForTaxonHandler_FAILED_TO_OPEN;
    public static String OpenDerivateEditorForTaxonHandler_HIERARCHY_CORRUPTED;
    public static String OpenDerivateEditorForTaxonHandler_NO_DERIVATIVES_FOUND;
    public static String SingleReadSequenceContextMenu_REMOVE_FROM_SEQUENCE;
    public static String SingleReadSequenceContextMenu_REUSE_FOR_SEQUENCE;
    public static String SingleReadSequenceContextMenu_REUSE_SINGLE_READ_HERE;
    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);
    }

    private Messages() {
    }
}
