package eu.etaxonomy.taxeditor.editor.view.derivate.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView;

public class ListenToSelectionChangeHandler extends AbstractHandler {

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        IWorkbenchPart activePart = HandlerUtil.getActivePart(event);
        if(activePart instanceof DerivateView){
            DerivateView derivativeEditor = (DerivateView)activePart;
            derivativeEditor.toggleListenToSelectionChange();
        }
        return null;
    }

}
